[ARM Unstable Update] 2020-09-13 - All about Qt

Hello ARM community.

A small update for you.


Some highlights:

  • Qt5 got updated to 5.15.1 which might break some packages like Lomiri and others, until we rebuild them
  • Some Python updates
  • A few of our Kernels got updated
  • Regular updates by Arch-ARM project

Upstream Notifications:

Older notifications

The nss package requires manual intervention:
Arch Linux - News: nss>=3.51.1-1 and lib32-nss>=3.51.1-1 updates require manual intervention
The packages hplip and firewalld requires manual intervention:
Arch Linux - News: hplip 3.20.3-2 update requires manual intervention
Arch Linux - News: firewalld>=0.8.1-2 update requires manual intervention


Package Changes

Sun Sep 13 09:24:30 CEST 2020

:: Different overlay package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE          arm-testing         arm-unstable
-------------------------------------------------------------------------------
                          breeze-git5.19.80.r2030.gee55b18d-15.19.80.r2031.g24e456ff-1
                               calls  0.1.7+12+g6fe3639-4  0.1.7+26+g4227e29-1
                        discover-git5.19.80.r7819.g477024ac-15.19.80.r7822.g03c6b942-1
                 history-service-git      r1444.1aa75ce-1      r1444.1aa75ce-2
                           kauth-git5.74.0.r374.g7d5d2dd-15.74.0.r375.gcc0be0a-1
                   kde-cli-tools-git5.19.80.r1791.g6ce509d-15.19.80.r1794.g4d7180a-1
                             kio-git5.74.0.r4185.g08476ccd-15.74.0.r4186.g6edec1f4-1
                        kongress-git        r93.d497deb-1        r94.9ed0f8b-1
                         krunner-git5.74.0.r487.gea2738a-15.74.0.r490.ge883542-1
                 kwayland-server-git5.19.80.r1121.g3110f28-15.19.80.r1123.ge5c1cdd-1
                            kwin-git5.19.80.r18368.g259ef70dd-15.19.80.r18369.g8026da530-1
                lomiri-music-app-git     r3914.c3b82662-1     r3916.32ac85a2-1
           lomiri-calculator-app-git                    -      r1138.061a992-1
              lomiri-gallery-app-git                    -     r3915.3eded6d0-1
                   mediascanner2-git                    -                2.0-1
                 qqc2-suru-style-git                    -        r81.4bd56af-1


:: Different sync package(s) in repository community aarch64

-------------------------------------------------------------------------------
                             PACKAGE          arm-testing         arm-unstable
-------------------------------------------------------------------------------
                               arcus              4.6.2-1              4.7.1-1
                        aws-c-common             0.4.47-1             0.4.56-1
                           bandwhich             0.17.0-1             0.18.1-1
                              batctl             2020.2-1             2020.3-1
                               blosc             1.20.0-1             1.20.1-1
                               boinc             7.16.8-1             7.16.9-1
                           boinc-nox             7.16.8-1             7.16.9-1
                            boinctui              2.5.0-2              2.5.1-1
                             buildah             1.16.0-1             1.16.1-1
                             cargo-c             0.6.12-1             0.6.13-1
                                cimg              2.9.1-1              2.9.2-1
                                cloc               1.86-1               1.88-1
                             cockpit                226-2                227-1
                   cockpit-dashboard                226-2                227-1
                      cockpit-docker                226-2                227-1
                    cockpit-machines                226-2                227-1
                         cockpit-pcp                226-2                227-1
                          containerd              1.4.0-2              1.4.0-3
                                cura              4.6.2-1              4.7.1-1
                    cura-binary-data              4.6.2-1              4.7.1-1
            cura-resources-materials              4.6.2-1              4.7.1-1
                          curaengine              4.6.2-1              4.7.1-1
                                dart              2.9.2-1              2.9.3-1
          deepin-qt5platform-plugins             5.0.16-1             5.0.16-2
                                dfrs              0.0.4-1              0.0.5-1
                              drupal              9.0.3-1              9.0.5-1
                       elasticsearch              7.7.0-2                    -
                                enet             1.3.15-1             1.3.16-1
                              eslint              7.8.1-1              7.9.0-1
                           fcitx-qt5              1.2.5-1              1.2.5-2
                              fcitx5   0.0.0.20200909.1-1     0.0.0.20200913-1
                   fcitx5-configtool   0.0.0.20200909.1-1     0.0.0.20200912-1
                          fcitx5-gtk     0.0.0.20200904-1     0.0.0.20200913-1
                           fcitx5-qt     0.0.0.20200904-1     0.0.0.20200913-1
                                 fio               3.22-1               3.23-1
                          googlemaps          20180602-13          20180602-14
                              gopass             1.10.1-1             1.10.1-2
                                gufw            20.04.1-1            20.04.1-2
                             jenkins              2.254-1              2.256-1
                                 k9s             0.21.7-1             0.21.9-1
                             keepass               2.45-4               2.46-1
                         libbraiding                1.0-4                1.1-1
                            libdwarf           20200719-1           20200825-1
                            libfm-qt             0.15.1-2             0.15.1-3
                            libqtxdg              3.5.0-2              3.5.0-3
                          libsavitar              4.6.2-1              4.7.1-1
                             libvips             8.10.0-1             8.10.1-1
                        libvirt-dbus              1.3.0-2              1.4.0-1
                             mathjax              3.1.0-1              3.1.2-1
                                ming     r3160.50098023-10.4.8.r68.g04aee523-1
                            minitube                3.6-1              3.6.1-1
                     nginx-mod-naxsi               0.56-6                1.1-1
                           nicotine+              2.0.1-1              2.1.0-1
                              nodejs            14.10.0-1            14.10.1-1
                             notmuch               0.30-1               0.31-1
                        notmuch-mutt               0.30-1               0.31-1
                     notmuch-runtime               0.30-1               0.31-1
                         notmuch-vim               0.30-1               0.31-1
                   npm-check-updates              8.1.1-1              9.0.1-1
                        ocaml-lablgl               1.06-7               1.06-8
                            openfire              4.5.2-1              4.5.3-1
                         openvswitch             2.13.0-1             2.14.0-1
                         pdflib-lite            7.0.5p3-4                    -
                               pluma             1.24.0-1             1.24.1-1
                          primecount                6.0-1                6.1-1
                    python-biopython               1.77-1               1.78-1
                        python-blosc              1.9.1-1              1.9.2-1
                         python-flit              2.3.0-5              3.0.0-1
                    python-flit-core              2.3.0-5              3.0.0-1
                   python-heatclient              2.2.0-1              2.2.1-1
                   python-hypothesis             5.33.2-1             5.35.0-1
                     python-identify              1.5.0-1              1.5.1-1
                       python-mocket              3.8.8-1              3.8.9-1
                         python-moto             1.3.14-3             1.3.16-1
                    python-multipart              0.2.1-1              0.2.2-1
                python-octaviaclient              2.1.0-1              2.2.0-1
             python-oslo-concurrency              4.2.0-1              4.3.0-1
                  python-oslo-config              8.3.1-1              8.3.2-1
                 python-oslo-context              3.1.0-1              3.1.1-1
                      python-oslo-db              8.3.0-1              8.4.0-1
                    python-oslo-i18n              5.0.0-1              5.0.1-1
           python-oslo-serialization              4.0.0-1              4.0.1-1
                   python-oslo-utils              4.5.0-1              4.6.0-1
                     python-oslotest              4.4.0-1              4.4.1-1
                   python-osprofiler              3.3.0-1              3.4.0-1
                       python-pandas              1.1.1-1              1.1.2-1
                     python-pygments              2.6.1-3              2.7.0-1
                       python-pytest              6.0.1-1              6.0.2-1
               python-pytest-twisted               1.13-1             1.13.2-1
                         python-rich              6.1.1-1              6.1.2-1
                  python-statsmodels             0.11.1-1             0.12.0-1
                    python-stevedore              3.2.1-1              3.2.2-1
                  python-swiftclient             3.10.0-1             3.10.1-1
                         python-tqdm             4.48.2-1             4.49.0-1
                        python-ujson              3.1.0-1              3.2.0-1
                     python-userpath              1.3.0-2              1.4.1-1
                           python-z3              4.8.8-2              4.8.9-2
                                qcad           3.25.1.0-1           3.25.1.0-2
              qt5-ukui-platformtheme              1.0.4-1              1.0.4-2
                          rubberband              1.8.2-4                1.9-1
                              sdedit           4.2beta8-1              4.2.1-1
                             skrooge             2.23.0-1             2.23.0-2
                          sparsehash              2.0.3-3              2.0.4-1
                           stylelint             13.7.0-1             13.7.1-1
                            tigervnc             1.11.0-2             1.11.0-4
                  ukui-window-switch              3.0.0-1              3.0.0-2
                             uptimed              0.4.2-2              0.4.3-1
                             uranium              4.6.2-1              4.7.1-1
                               v2ray             4.27.5-2             4.28.1-1
         v2ray-domain-list-community     20200908043646-1     20200911091749-1
                      youtube-viewer            1:3.7.7-1            1:3.7.8-1
                                  z3              4.8.8-2              4.8.9-2
                     python-pytaglib                    -              1.4.6-2


:: Different overlay package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE          arm-testing         arm-unstable
-------------------------------------------------------------------------------
                               linux              5.8.8-1              5.8.9-1
                       linux-headers              5.8.8-1              5.8.9-1
                          linux-rpi4             5.4.61-1             5.4.64-1
                  linux-rpi4-headers             5.4.61-1             5.4.64-1
                 linux-rpi4-mainline              5.8.5-1              5.8.8-1
         linux-rpi4-mainline-headers              5.8.5-1              5.8.8-1
              raspberrypi-bootloader           20200903-1           20200911-1
            raspberrypi-bootloader-x           20200903-1           20200911-1


:: Different sync package(s) in repository core aarch64

-------------------------------------------------------------------------------
                             PACKAGE          arm-testing         arm-unstable
-------------------------------------------------------------------------------
                       libutil-linux               2.36-3                    -
                          util-linux               2.36-3               2.36-4
                     util-linux-libs                    -               2.36-4


:: Different overlay package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE          arm-testing         arm-unstable
-------------------------------------------------------------------------------
                               libva            2.8.0-1.1            2.9.0-0.1
                        qt5-es2-base             5.15.0-1             5.15.1-1
                 qt5-es2-declarative             5.15.0-2             5.15.1-1
                  qt5-es2-multimedia             5.15.0-2             5.15.1-1
                     qt5-es2-wayland             5.15.0-2             5.15.1-1
         qt5-es2-xcb-private-headers             5.15.0-1             5.15.1-1


:: Different sync package(s) in repository extra aarch64

-------------------------------------------------------------------------------
                             PACKAGE          arm-testing         arm-unstable
-------------------------------------------------------------------------------
                             akonadi            20.08.1-1            20.08.1-2
                        cups-filters             1.28.1-1             1.28.2-1
                              falkon             3.1.0-11             3.1.0-12
                            ghostpcl               9.52-1             9.53.0-1
                         ghostscript               9.52-1             9.53.0-1
                            ghostxps               9.52-1             9.53.0-1
                            jbig2dec               0.18-1               0.19-1
                                kwin             5.19.5-1             5.19.5-2
                          libakonadi            20.08.1-1            20.08.1-2
                              libssh              0.9.4-2              0.9.5-1
                         libssh-docs              0.9.4-2              0.9.5-1
                        libxkbcommon              1.0.0-1              1.0.1-1
                    libxkbcommon-doc              1.0.0-1              1.0.1-1
                    libxkbcommon-x11              1.0.0-1              1.0.1-1
                                llvm             10.0.1-2             10.0.1-3
                           llvm-libs             10.0.1-2             10.0.1-3
                          llvm-ocaml             10.0.1-2             10.0.1-3
                          malcontent              0.8.0-1              0.9.0-1
                               meson             0.55.2-1             0.55.3-1
                               ocaml             4.11.0-1             4.11.1-1
                 ocaml-compiler-libs             4.11.0-1             4.11.1-1
                                 orc             0.4.31-2             0.4.32-1
                    perl-alien-build               2.29-1               2.32-1
                   perl-http-message               6.25-1               6.26-1
                        perl-net-dns               1.26-1               1.27-1
                            pipewire             0.3.10-1             0.3.11-1
                       pipewire-alsa             0.3.10-1             0.3.11-1
                       pipewire-docs             0.3.10-1             0.3.11-1
                       pipewire-jack             0.3.10-1             0.3.11-1
                      pipewire-pulse             0.3.10-1             0.3.11-1
                          prometheus             2.20.1-1             2.21.0-1
       prometheus-memcached-exporter              0.7.0-2              0.7.0-3
                             pyside2             5.15.0-2             5.15.1-1
                       pyside2-tools             5.15.0-1             5.15.1-1
                        python-numpy             1.19.1-1             1.19.2-1
                    python-shiboken2             5.15.0-2             5.15.1-1
                              qt5-3d             5.15.0-1             5.15.1-1
                            qt5-base             5.15.0-5             5.15.1-1
                          qt5-charts             5.15.0-1             5.15.1-1
                    qt5-connectivity             5.15.0-1             5.15.1-1
                       qt5-datavis3d             5.15.0-1             5.15.1-1
                     qt5-declarative             5.15.0-2             5.15.1-1
                             qt5-doc             5.15.0-1             5.15.1-1
                        qt5-examples             5.15.0-1             5.15.1-1
                         qt5-gamepad             5.15.0-1             5.15.1-1
                qt5-graphicaleffects             5.15.0-1             5.15.1-1
                    qt5-imageformats             5.15.0-1             5.15.1-1
                        qt5-location             5.15.0-1             5.15.1-1
                          qt5-lottie             5.15.0-1             5.15.1-1
                            qt5-mqtt             5.15.0-1             5.15.1-1
                      qt5-multimedia             5.15.0-1             5.15.1-1
                     qt5-networkauth             5.15.0-1             5.15.1-1
                      qt5-purchasing             5.15.0-1             5.15.1-1
                         qt5-quick3d             5.15.0-1             5.15.1-1
                   qt5-quickcontrols             5.15.0-1             5.15.1-1
                  qt5-quickcontrols2             5.15.0-1             5.15.1-1
                   qt5-quicktimeline             5.15.0-1             5.15.1-1
                   qt5-remoteobjects             5.15.0-1             5.15.1-1
                          qt5-script             5.15.0-1             5.15.1-1
                           qt5-scxml             5.15.0-1             5.15.1-1
                         qt5-sensors             5.15.0-1             5.15.1-1
                       qt5-serialbus             5.15.0-1             5.15.1-1
                      qt5-serialport             5.15.0-1             5.15.1-1
                          qt5-speech             5.15.0-1             5.15.1-1
                             qt5-svg             5.15.0-1             5.15.1-1
                           qt5-tools             5.15.0-3             5.15.1-1
                    qt5-translations             5.15.0-1             5.15.1-1
                 qt5-virtualkeyboard             5.15.0-1             5.15.1-1
                         qt5-wayland             5.15.0-1             5.15.1-1
                      qt5-webchannel             5.15.0-1             5.15.1-1
                       qt5-webengine             5.15.0-5             5.15.1-1
                     qt5-webglplugin             5.15.0-1             5.15.1-1
                          qt5-webkit      5.212.0alpha4-6      5.212.0alpha4-7
                      qt5-websockets             5.15.0-1             5.15.1-1
                         qt5-webview             5.15.0-1             5.15.1-1
                       qt5-x11extras             5.15.0-1             5.15.1-1
             qt5-xcb-private-headers             5.15.0-5             5.15.1-1
                     qt5-xmlpatterns             5.15.0-1             5.15.1-1
                           shiboken2             5.15.0-2             5.15.1-1
                           zxing-cpp              1.1.0-3              1.1.1-1

Testers needed on arm-unstable branch

We are in need of testers for our arm-testing and arm-unstable branches.
So if you are adventurous and want newer software quicker, we would love for you to help us test out the new packages in arm-unstable branch.

All you have to do to switch to this branch is:

  • Edit /etc/pacman-mirrors.conf and change Branch = arm-stable to Branch = arm-unstable.
  • Run this command: sudo pacman-mirrors -f5 && sudo pacman -Syyu. This will generate a new mirrorlist for you, sync your databases with the new mirror and update your system using the arm-unstable branch.

We would then love for you to give feedback in our update posts in #manjaro-arm:arm-unstable-updates. That way we can better find and fix bugs, before they hit arm-stable branch. Thank you!


  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Hi,

Odroid c4 up to date, it works.

Enjoy.